# Project <insert name>

## Dataset structure

- All inputs (i.e. building blocks from other sources) are located in
  `inputs/`.
- All custom code is located in `code/`.

## Steps to generate aligned .csv from vandam-data .cha annotations

1. Run code/csv2grid with annotations/cha/converted as input (converts the original .csv to .TextGrid)
2. Run MFA Align with output files of previous step as input (with inputs/mfa-models/acoustic & inputs/mfa-models/dictionary as required)
3. Run code/grid2csv to convert .TextGrids to .csv with outputs of previous step as input.

## Steps for comparison of aligned segments with human annotator

1. Use child-project sampler to generate 5x 1 minute segments (high-volubility) and outputs them in outputs/
2. Use child-project eaf-builder with files generated at previous step and templates at inputs/eaf_templates
3. Annotate segments by hand on ELAN
4. Create csv dataframe with each segment in outputs/fivesegments-eaf
5. Import that .csv with child-project import-annotations
